Allow project specific css files inside a theme folder
Description

At the moment you can define a custon theme and the theme's css is applied to the whole site

Sometimes some optical changes are only important for one project and not for the whole site - for example markign issue's priorities

with a special color (each project might use trackers in a different way) and so on

Maybe there is an option to include a mechanism like this

called redmine with theme XY, shown project has ID 44

file exists? Theme XY / 44-stylesheet.css

otherwise:   Theme  XY / stylesheet.css

file exists? Theme XY / 44-context_menu.css (etc.)

otherwise:   Theme  XY / stylesheet.css (etc.)

History

#1 - 2013-11-17 16:56 - Jean-Philippe Lang

A project specific css class (project-[identifier]) added to the body lets you define custom style for some projects. Eg:

body.project-foo #header {background-color:#9e9;}

 will make the header green for the project with identifier foo.

#2 - 2013-11-18 07:36 - Anonymous

Jean-Philippe Lang wrote:

A project specific css class (project-[identifier]) added to the body lets you define custom style for some projects. Eg:

[...]

will make the header green for the project with identifier foo.

 I use redmine 2.3.3 and my body looks like:

<body class="theme-foo controller-issues action-index">

 Is this a feature for 2.3.4 / 2.4.0 ? Would be ok, I'll upgrade in some days after some tests are finished.. But at the moment there does not seem to be

a project specific attribute inside the html structure

#3 - 2013-11-18 08:15 - Mischa The Evil

- Status changed from New to Needs feedback

Florian S. wrote:

I use redmine 2.3.3 and my body looks like:

[...]

Is this a feature for 2.3.4 / 2.4.0 ? [...]
 It is implemented in r12170 as part of #14767, which is included starting from Redmine 2.4.0.

Could you please resolve this issue if it can be closed in your opinion.

#4 - 2013-11-27 15:13 - Anonymous

Mischa The Evil wrote:

Florian S. wrote:

I use redmine 2.3.3 and my body looks like:

[...]

Is this a feature for 2.3.4 / 2.4.0 ? [...]

 It is implemented in r12170 as part of #14767, which is included starting from Redmine 2.4.0.

Could you please resolve this issue if it can be closed in your opinion.

 Thank you for your Feedback. Now it's possible to include some custom layout stuff for each project.

But (for my case) there still exists a little problem. In my case I use (for having the priorities colored in the ticket view)

(...)

 .odd.priority-3 {

    background-color: #fafa42;

}

(...)

(and so on) for all priorities. These colors only should be valid for the project "foo".

Is there a way to get the body class project-foo with these classes together? (Maybe this is now just a CSS usage error... I thought the easiest way

would be an overriding css sheet per project)

#5 - 2014-01-16 16:05 - Anonymous

Mischa The Evil wrote:

Florian S. wrote:

I use redmine 2.3.3 and my body looks like:

[...]

Is this a feature for 2.3.4 / 2.4.0 ? [...]

 It is implemented in r12170 as part of #14767, which is included starting from Redmine 2.4.0.

Could you please resolve this issue if it can be closed in your opinion.

 Please forget my last comment. Everything works fine, I just had an css error inside my stylesheet!

Thanks!

#6 - 2014-02-10 09:32 - Toshi MARUYAMA

- Status changed from Needs feedback to Closed

Powered by TCPDF (www.tcpdf.org)

2024-04-09 2/2

https://www.redmine.org/projects/redmine/repository/svn/revisions/12170
https://www.redmine.org/issues/14767
https://www.redmine.org/versions/70
https://www.redmine.org/projects/redmine/repository/svn/revisions/12170
https://www.redmine.org/issues/14767
https://www.redmine.org/versions/70
https://www.redmine.org/projects/redmine/repository/svn/revisions/12170
https://www.redmine.org/issues/14767
https://www.redmine.org/versions/70
http://www.tcpdf.org

